NutzCN Logo
问答 集成velocity,出现错误!
发布于 901天前 作者 明天会吹什么风 616 次浏览 复制 上一个帖子 下一个帖子
标签: velocity mvc

pom里加入


org.nutz
nutz-plugins-views
1.b.52.preview

然后项目就出现红色叹号

 ![QQ图片20151209113743_jpg](/yvr/upload/74/26e9oklqhterq6begqns6p9u)

跪求解决方法!
9 回复

干掉那两个红色的jar, 那是druid的多余依赖

@wendal 怎么干呢?点在那个jar上,remove是灰色的!

在pom.xml修改

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid</artifactId>
			<version>1.0.16</version>
		</dependency>

我用1.0.16

应该是这样

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid</artifactId>
			<version>1.0.16</version>
			<exclusions>
				<exclusion>
					<artifactId>jconsole</artifactId>
					<groupId>com.alibaba</groupId>
				</exclusion>
				<exclusion>
					<artifactId>tools</artifactId>
					<groupId>com.alibaba</groupId>
				</exclusion>
			</exclusions>
		</dependency>

QQ图片20151209145219_png

<dependency>
			<groupId>org.nutz</groupId>
			<artifactId>nutz-plugins-views</artifactId>
			<version>1.b.52.preview</version>
		</dependency>

加上这句就报错,去掉就好了!

哦, views插件有1.b.53版了

添加回复
请先登陆
回到顶部